Arch::Test::Archive(3pm)

NAME
Arch::Test::Archive - A test framework for Arch-Perl

SYNOPSIS
    use Arch::Test::Framework;

    my $fw = Arch::Test::Framework->new;
    my $archive = $fw->make_archive;

    my $version1 = $archive->make_version();
    my $version2 = $archive->make_version($branch);

DESCRIPTION
Arch::Test::Archive provides methods to quickly build and modify Arch archives.

METHODS
new, name, framework, run_tla make_category, make_branch, make_version,

new framework name
    Create a new Arch::Test::Archive instance for archive name. This method should not be called directly.

name
    Returns the archive name.

framework
    Returns the associated Arch::Test::Framework reference.

run_tla @args
    Run tla with the specified arguments.

make_category [category]
make_branch   [category [branch]]
make_version  [category [branch [version]]]
    Create a new category, branch or version. A unique name for unspecified parts is generated. The fully qualified name is returned.

AUTHORS
Mikhael Goikhman (migo@homemail.com--Perl-GPL/arch-perl--devel).

Enno Cramer (uebergeek@web.de--2003/arch-perl--devel).